%define pkgname libglademm

%define libglade_version 2.6.1
%define gtkmm_version 2.6.0

%define major 1
%define api_version 2.4
%define libname		%mklibname glademm %{api_version} %{major}
%define libname_orig	%mklibname glademm %{api_version}
%define develname %mklibname -d glademm %{api_version}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:	 	%{pkgname}%{api_version}
Summary:	C++ interface of glade2 library
Version:	2.6.7
Release:	%mkrel 19
License:	LGPLv2+
Group:		System/Libraries
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.bz2
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	pkgconfig(libglade-2.0) >= %{libglade_version}
BuildRequires:	pkgconfig(gtkmm-2.4) >= %{gtkmm_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}
Summary:	C++ interface of glade2 library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %develname
Summary:	Development related files of %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	%name-devel = %version-%release
Requires:	%{libname} = %{version}
Requires:	libglade2.0-devel >= %{libglade_version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}
Obsoletes:	%mklibname -d glademm 2.4 1

%description	-n %develname
This package provides headers and various development files needed for
compiling or developing applications that use Glade 2 C++ interface.

%package	doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library, which
is part of gnomemm project that provides C++ interface for GNOME libraries.
The documents can be browsed via devhelp, an API documentation viewer.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  %__make all
popd

%install
%make_install

rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/libglademm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%{_docdir}/gnomemm-2.6/*
%{_datadir}/devhelp/books/*



%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.6.7-19.mga9
+ Revision: 1836811
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 joequant <joequant> 2.6.7-18.mga8
+ Revision: 1611082
- revert arm fix

* Thu Feb 13 2020 umeabot <umeabot> 2.6.7-17.mga8
+ Revision: 1514108
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.6.7-16.mga7
+ Revision: 1298872
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.6.7-15.mga7
+ Revision: 1234095
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 2.6.7-14.mga6
+ Revision: 955467
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.6.7-13.mga6
+ Revision: 869054
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.6.7-12.mga5
+ Revision: 742360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.7-11.mga5
+ Revision: 681490
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6.7-10.mga4
+ Revision: 507016
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6.7-9.mga3
+ Revision: 357229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.6.7-8.mga3
+ Revision: 305608
- Documentation group

* Wed Feb 15 2012 ovitters <ovitters> 2.6.7-7.mga2
+ Revision: 209301
- clean spec
+ fwang <fwang>
- do not ship .la files

* Sat Jan 15 2011 blino <blino> 2.6.7-5.mga1
+ Revision: 18914
- remove old ldconfig scriptlets
- imported package libglademm2.4


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.7-4mdv2011.0
+ Revision: 602552
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.7-3mdv2010.1
+ Revision: 520833
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.6.7-2mdv2010.0
+ Revision: 425550
- rebuild

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2009.0
+ Revision: 286534
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.6.6-2mdv2009.0
+ Revision: 222596
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 2.6.6-1mdv2008.1
+ Revision: 164910
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdv2008.1
+ Revision: 95564
- new version
- new devel name

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-2mdv2008.0
+ Revision: 50525
- rebuild for new glib2.0

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2008.0
+ Revision: 41506
- new version
- bump deps


* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2007.0
+ Revision: 103070
- Import libglademm2.4

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2007.1
- Rebuild

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdv2007.0
- New release 2.6.3

* Thu Feb 23 2006 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdk
- New release 2.6.2
- use mkrel

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Tue May 10 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-2mdk
- fix devel provides

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- requires new gtkmm
- New release 2.6.0

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- source URL
- New release 2.4.2

* Mon Jun 21 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-2mdk 
- Rebuild against new gtkmm
- fix source URL

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- fix source URL
- reenable libtoolize
- New release 2.4.1

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- New major release

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.2.0-1mdk
- New version
- Remove all patches (upstream or not needed)
- Only provides libglademm2.0(-devel), so other packages won't
  require libglademm without indicating API version
- Please use UTF-8 for spec in the future

